package com.simuwang.manage.service.system;

import com.simuwang.base.common.support.BaseService;
import com.simuwang.base.pojo.dos.sys.SysRoleDO;
import com.simuwang.base.pojo.dto.sys.RoleMenuAssignCmd;
import com.simuwang.base.pojo.vo.sys.SysRoleVO;

/**
 * @author wangzaijun
 * @date 2024/9/13 19:43
 * @description 系统角色服务
 */
public interface SysRoleService extends BaseService<SysRoleVO, SysRoleDO> {
    /**
     * 给角色分配权限
     *
     * @param command 参数
     */
    void assignPerms(RoleMenuAssignCmd command);
}
