package com.simuwang.base.mapper.system;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.sys.SysRoleDO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysRoleMapper extends BaseMapper<SysRoleDO> {
    /**
     * 删除某个角色的所有权限关系（用物理删）
     *
     * @param roleId 角色id
     * @return /
     */
    int delRoleMenuByUserId(Integer roleId);

    /**
     * 批量新增角色与权限的关系
     *
     * @param roleId  角色id
     * @param menuIds 权限id集合
     * @return /
     */
    int batchRoleMenus(Integer roleId, List<Integer> menuIds);
}
